Method: notebooks.sources.list

Lists sources in a notebook.

HTTP request

GET https://notebook.googleapis.com/v1/{parent=notebooks/*}/sources

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of sources. Format: notebooks/{notebook} It takes the form notebooks/{notebook}.

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of sources to return. The service may return fewer than this value. If unspecified, at most 50 sources will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. A page token, received from a previous sources.list call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to sources.list must match the call that provided the page token. A page token is valid only for the notebook it was issued for; other page tokens are rejected with INVALID_ARGUMENT.

Request body

The request body must be empty.

Response body

Response message for NotebookService.ListSources.

If successful, the response body contains data with the following structure:

JSON representation
{
  "sources": [
    {
      object (Source)
    }
  ],
  "nextPageToken": string
}
Fields
sources[]

object (Source)

The sources from the specified notebook, in ascending order of creation time, with ties broken by source ID. Sources added during pagination appear on later pages.

nextPageToken

string

A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/notebook
  • https://www.googleapis.com/auth/notebook.readonly

For more information, see the Authentication guide.